jQuery(document).ready(function($) {
	// 日付ピッカー
	$.datepicker.setDefaults($.datepicker.regional["ja"]);
	var dates = $('#datepicker-from, #datepicker-to').datepicker({
		showOn: 'both',
		buttonText: '',
		buttonImageOnly: true,
		dateFormat:"yy-mm-dd",
		maxDate: 0,
		onSelect: function(selectedDate) {
			var option = this.id == 'datepicker-from' ? 'minDate' : 'maxDate',
			instance = $(this).data('datepicker'),
			date = $.datepicker.parseDate(instance.settings.dateFormat || $.datepicker._defaults.dateFormat, selectedDate, instance.settings);
			dates.not(this).datepicker('option', option, date);
		}
	});

	// 入力エリア増減（定型文・アクセス制限）
	$('#mwc-option-form').on('click', 'button.input-action', function(event) {
		event.preventDefault();
		var action = $(this).data('action');
		var field = $(this).siblings('.input-custom-field');
		if (action == 'add') {
			field.append('<input type="text" name="' + field.data('field-name') + '[]" value="" class="regular-text" />')
		} else if (action = 'remove') {
			field.find(':last-child').remove();
		}
	});

	// チェックボックス押下送信
	$('form[name="mwc-clap-table-tool"]').on('change', 'input[type="checkbox"]', function(event) {
		$(this).closest('form').submit();
	});

	// お礼絵指定
	var imgview;
	$('.thanks_img_add_btn').on('click', function(event) {
		imgview = $('.thanks_img');
		tb_show('お礼絵指定','media-upload.php?mode=mwc&type=image&tab=library&TB_iframe=true');

		$('iframe[src^="media-upload.php?mode=mwc"]').on('load', function() {
			var $iframe = $('iframe[src^="media-upload.php?mode=mwc"]').contents();
			var $image = $iframe.find('#image-form');
			var $library = $iframe.find('#library-form');
			$library.find('tbody > tr:not(.submit)').hide()
				.end().find('thead > tr > td[id^="thumbnail-head-"] > p:last-child').hide();
			$image
				.find('input[name="title"]').val('thanks_img')
				.end().find('.media-types').hide()
				.end().find('tbody > tr:not(:first-child, :gt(6), :gt(7), :gt(8))').hide()
				.end().find('thead > tr > td[id^="thumbnail-head-"] > p:last-child').hide();
		});

		return false;
	});
	window.old_tb_remove = window.tb_remove;
	window.tb_remove = function() {
		$('.thanks_img_del_btn').hide();
		window.old_tb_remove();
		imgview = null;
	};
	window.original_send_to_editor = window.send_to_editor;
	window.send_to_editor = function(html) {
		if (imgview) {
			fileurl = $('<div>' + html + '</div>').find('img').attr('src');
			$(imgview).prop('src', fileurl);
			$('.thanks_img_val').val(fileurl);
			tb_remove();
		} else {
			window.original_send_to_editor(html);
		}
	};
	$('.thanks_img_del_btn').on('click', function(event) {
		$('.thanks_img').prop('src', 'data:image/gif;base64,R0lGODlhAQABAIAAAAAAAAAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw%3D%3D');
		$('.thanks_img_val').val();
	});
});
